﻿Imports System.Net.Mime.MediaTypeNames
Imports Syncfusion

Public Class HomeController
    Inherits System.Web.Mvc.Controller


    Function Index() As ActionResult
        Dim treedata As New List(Of Data)()
        treedata.Add(New Data() With {
            .Id = "1",
            .Text = "Australia",
            .hasChild = True
        })
        treedata.Add(New Data() With {
             .Id = "2",
             .Text = "Victoria",
             .ParentId = "1"
        })
        treedata.Add(New Data() With {
             .Id = "3",
             .Text = "Western Australia",
            .ParentId = "1"
        })
        treedata.Add(New Data() With {
             .Id = "4",
             .Text = "Southern Australia",
            .ParentId = "1"
        })
        treedata.Add(New Data() With {
            .Id = "5",
            .Text = "Brazil",
            .hasChild = True
        })
        treedata.Add(New Data() With {
             .Id = "6",
             .Text = "Paraná",
             .ParentId = "5"
        })
        treedata.Add(New Data() With {
             .Id = "7",
             .Text = "Paraná",
            .ParentId = "5"
        })
        treedata.Add(New Data() With {
             .Id = "8",
             .Text = "Acre",
            .ParentId = "5"
        })
        treedata.Add(New Data() With {
            .Id = "9",
            .Text = "Brazil",
            .hasChild = True
        })
        treedata.Add(New Data() With {
             .Id = "10",
             .Text = "Paraná",
             .ParentId = "9"
        })
        treedata.Add(New Data() With {
             .Id = "11",
             .Text = "Paraná",
            .ParentId = "9"
        })
        treedata.Add(New Data() With {
             .Id = "12",
             .Text = "Acre",
            .ParentId = "9"
        })
        treedata.Add(New Data() With {
            .Id = "13",
            .Text = "China",
            .hasChild = True
        })
        treedata.Add(New Data() With {
             .Id = "14",
             .Text = "Shanghai",
             .ParentId = "13"
        })
        treedata.Add(New Data() With {
             .Id = "15",
             .Text = "Guangzhou",
            .ParentId = "13"
        })
        treedata.Add(New Data() With {
             .Id = "16",
             .Text = "Beijing",
            .ParentId = "13"
        })
        treedata.Add(New Data() With {
            .Id = "17",
            .Text = "France",
            .hasChild = True
        })
        treedata.Add(New Data() With {
             .Id = "18",
             .Text = "Pays de la Loire",
             .ParentId = "17"
        })
        treedata.Add(New Data() With {
             .Id = "19",
             .Text = "Aquitaine",
            .ParentId = "17"
        })
        treedata.Add(New Data() With {
             .Id = "20",
             .Text = "Brittany",
            .ParentId = "17"
        })

        ViewBag.data = treedata
        Return View()

    End Function
    Function About() As ActionResult

        Dim data As Object = New Syncfusion.EJ2.DataManager With {
                .Url = "https://services.odata.org/V4/Northwind/Northwind.svc",
                .Adaptor = "ODataV4Adaptor",
                .CrossDomain = True
            }
        parentData.Query = "new ej.data.Query().from('Employees').select('EmployeeID,FirstName,Title').take(5)"
        parentData.Id = "EmployeeID"
        parentData.Text = "FirstName"
        parentData.HasChildren = "EmployeeID"
        parentData.Child = childData
        parentData.DataSource = data
        childData.Query = "new ej.data.Query().from('Orders').select('OrderID,EmployeeID,ShipName').take(5)"
        childData.Id = "OrderID"
        childData.Text = "ShipName"
        childData.ParentId = "EmployeeID"
        childData.DataSource = data
        ViewBag.remoteFields = parentData
        Return View()




    End Function

    Function Contact() As ActionResult
        ViewData("Message") = "Your contact page."

        Return View()
    End Function
    Public Class Data
        Public Property Id As String
        Public Property Text As String
        Public Property ParentId As String
        Public Property hasChild As Boolean

        Public Property Query As String


        Public Sub New(ByVal id As String, ByVal ParentId As String, ByVal Text As String, ByVal hasChild As Boolean)
            Me.Id = id
            Me.Text = Text
            Me.ParentId = ParentId
            Me.hasChild = hasChild


        End Sub

        Public Sub New()
        End Sub
    End Class

    Public parentData As Syncfusion.EJ2.Navigations.TreeViewFieldsSettings = New Syncfusion.EJ2.Navigations.TreeViewFieldsSettings()
    Public childData As Syncfusion.EJ2.Navigations.TreeViewFieldsSettings = New Syncfusion.EJ2.Navigations.TreeViewFieldsSettings()
End Class


